# Delete a deep link

`DELETE https://app.shuttleglobal.com/c/api/instances/{instance_key}/deep_links/{deep_link_id}`

Delete an existing deep link

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `deep_link_id` | path | string | yes | The deep link's `id`, as returned when you created it. |

## Responses

### 204: Deep link deleted

### 400: Bad request

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

## Example request

```sh
curl --request DELETE \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/deep_links/DEEP_LINK_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/deletedeeplink/